<?php
namespace nulib\file\tab;

interface IBuilder extends \nulib\file\IReader {
  function writeHeaders(?array $headers=null): void;

  function write(?array $row): void;

  function writeAll(?iterable $rows=null): void;

  /**
   * @return int le nombre de ligne qui ont été écrites (sans compte l'en-tête)
   */
  function getCount(): int;

  function sendHeaders(): void;

  function sendFile(?iterable $rows=null): int;
}
